# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "master";
  name = "r6d-blog-${version}";

  src = fetchgit {
    url = "https://github.com/r6d/r6d.github.io.git";
    sha256 = "0xklic8i5n2d39w6hapdqiv4qprrh67528hkiaglzill567hqpmf";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
