# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "MASTER";
  name = "github-teleragno-www-${version}";

  src = fetchgit {
    url = "https://github.com/teleragno/teleragno.github.io.git";
    sha256 = "1l1mcci47fikj4ry1rn13y098ra5jdrglhmfcpny9bcjglnwpnc3";
  };

  installPhase = "cp -R . \$out";

  meta = with stdenv.lib; {
    description = "Site web de l'association Teleragno";
    homepage = https://www.teleragno.fr;
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
