with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "MASTER";
  name = "blog-gallery-${version}";

  src = fetchgit {
    url = "https://gogs.prunetwork.fr/jpierre03/gallery.git";
    sha256 = "1aw770lcv1gxxvid05bgmjpng3755rpggd37gnrx02fhl72ybk9z";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    description = "Site web de photo";
    homepage = https://gogs.prunetwork.fr/jpierre03/gallery;
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
