# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="MASTER";
  name = "openlayer-simplemap-blog-${version}";

  # liste des fonction de récup : fetch*  https://github.com/NixOS/nixpkgs/tree/master/pkgs/build-support
  src = fetchgit {
    url = "https://gogs.prunetwork.fr/jpierre03/openlayer-simplemap.git";
    sha256 = "1sz57m6flv5nri13hfbiwl0mr94x451hiaw98zy8r1ipc5kwlxi1";
  };

  installPhase = "cp -R . \$out";

  meta = with stdenv.lib; {
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
