# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="2016-09-22-v1";
  name = "openlayer-simplemap-blog-${version}";

  # liste des fonction de récup : fetch*  https://github.com/NixOS/nixpkgs/tree/master/pkgs/build-support
  src = fetchurl {
    url = "https://gogs.prunetwork.fr/jpierre03/openlayer-simplemap/archive/${version}.tar.gz";
    sha256 = "1grhrkvv3h1nl4gvxa2xxb0x5dmaklpyii394hysi0y6kl6ndyy0";
  };

  installPhase = "cp -R . \$out";

  meta = with stdenv.lib; {
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
